Name:		itrustee_sdk
Version:	0.1.0
Release:	3%{?dist}
Summary:	Confidential computing framework for developing TA on itrustee OS
ExclusiveArch:  aarch64

Group:		OS Security
License:	Mulan PSL v2
URL:		https://gitee.com/openeuler/itrustee_sdk
Source0:	https://gitee.com/openeuler/itrustee_sdk/repository/archive/v%{version}.tar.gz
Patch0:		0001-add-Makefile-to-create-libteec_adaptor.so.patch

Provides:       libteec_adaptor.so()(64bit)
%define debug_package %{nil}
%description
itrustee_sdk is a confidential computing framework for developing TA on itrustee OS


%prep
%autosetup -n %{name} -p1

%build
sed -i 's/fPIC/fPIC -g/g' Makefile
sed -i 's/\/opt\/itrustee_sdk/$(DESTDIR)\/opt\/itrustee_sdk/g' Makefile
sed -i 's/\/lib64/$(DESTDIR)\/lib64/g' Makefile
make 


%install
install -d %{buildroot}/opt/
install -d %{buildroot}/lib64/
make install DESTDIR=%{buildroot}/

strip %{buildroot}/lib64/*.so

%files
%defattr(-,root,root)
/opt/itrustee_sdk
/lib64/libteec_adaptor.so

%changelog
* Sat Sep 4 2021 zhangtao<zhangtao221g@huawei.com> - 0.1.0-3
- strip dynamic library
* Thu May 20 2021 houmingyong<houmingyong@huawei.com> - 0.1.0-2
- DESC:init itrustee_sdk
* Sat May 8 2021 chenmaodong<chenmaodong@huawei.com> - 0.1.0-1
- DESC:init itrustee_sdk

